import { StateContext } from '@ngxs/store';
import * as i0 from "@angular/core";
export declare const FEATURE_STATES: any[];
export declare class FeaturesState {
    constructor();
    clear(ctx: StateContext<any>): void;
    restore(ctx: StateContext<any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeaturesState, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FeaturesState>;
}
